Package org.apache.batchee.cli.command

## Class JobOperatorCommand

- java.lang.Object
- - org.apache.batchee.cli.command.JobOperatorCommand

- All Implemented Interfaces:
    `Runnable`
  Direct Known Subclasses:
    `Executions`, `Instances`, `Names`, `Running`, `SocketConfigurableCommand`, `Status`, `StepExecutions`

      public abstract class JobOperatorCommand
      extends Object
      implements Runnable

  base class handling: - classloader enriched with libs folders (and subfolders) - Lifecycle (allow to start/stop a container) Note: the classloader is created from libs command, it is handy to organize batches by folders to be able to run them contextual using this command.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `baseUrl` |
    `protected javax.batch.operations.JobOperator` | `operator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobOperatorCommand()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `doRun()` |
    `protected void` | `info​(String text)` |
    `protected javax.batch.operations.JobOperator` | `operator()` |
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseUrl

          protected String baseUrl

    - #### operator

          protected javax.batch.operations.JobOperator operator

  - ### Constructor Detail

    - #### JobOperatorCommand

          public JobOperatorCommand()

  - ### Method Detail

    - #### operator

          protected javax.batch.operations.JobOperator operator()

    - #### info

          protected void info​(String text)

    - #### doRun

          protected abstract void doRun()

    - #### run

          public final void run()

      Specified by:
        `run` in interface `Runnable`